
package Geo::EZLocate::Elements::findMultiAddress;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://ezlocate.na.teleatlas.com/Geocoding.xsd1' }

__PACKAGE__->__set_name('findMultiAddress');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %service_of :ATTR(:get<service>);
my %inputs_of :ATTR(:get<inputs>);
my %identity_of :ATTR(:get<identity>);

__PACKAGE__->_factory(
    [ qw(        service
        inputs
        identity

    ) ],
    {
        'service' => \%service_of,
        'inputs' => \%inputs_of,
        'identity' => \%identity_of,
    },
    {
        'service' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'inputs' => 'Geo::EZLocate::Types::RecordSequence',
        'identity' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
    },
    {

        'service' => 'service',
        'inputs' => 'inputs',
        'identity' => 'identity',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

Geo::EZLocate::Elements::findMultiAddress

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
findMultiAddress from the namespace http://ezlocate.na.teleatlas.com/Geocoding.xsd1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * service

 $element->set_service($data);
 $element->get_service();




=item * inputs

 $element->set_inputs($data);
 $element->get_inputs();




=item * identity

 $element->set_identity($data);
 $element->get_identity();





=back


=head1 METHODS

=head2 new

 my $element = Geo::EZLocate::Elements::findMultiAddress->new($data);

Constructor. The following data structure may be passed to new():

 {
   service =>  $some_value, # string
   inputs =>  { # Geo::EZLocate::Types::RecordSequence
     record =>  { # Geo::EZLocate::Types::Record
       nv =>  { # Geo::EZLocate::Types::NameValue
         name =>  $some_value, # string
         value =>  $some_value, # string
       },
     },
   },
   identity =>  $some_value, # int
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

