
package Geo::EZLocate::Elements::getClientInfo;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://ezlocate.na.teleatlas.com/EZClient.xsd1' }

__PACKAGE__->__set_name('getClientInfo');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %majorVersion_of :ATTR(:get<majorVersion>);
my %minorVersion_of :ATTR(:get<minorVersion>);

__PACKAGE__->_factory(
    [ qw(        majorVersion
        minorVersion

    ) ],
    {
        'majorVersion' => \%majorVersion_of,
        'minorVersion' => \%minorVersion_of,
    },
    {
        'majorVersion' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'minorVersion' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
    },
    {

        'majorVersion' => 'majorVersion',
        'minorVersion' => 'minorVersion',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

Geo::EZLocate::Elements::getClientInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
getClientInfo from the namespace http://ezlocate.na.teleatlas.com/EZClient.xsd1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * majorVersion

 $element->set_majorVersion($data);
 $element->get_majorVersion();




=item * minorVersion

 $element->set_minorVersion($data);
 $element->get_minorVersion();





=back


=head1 METHODS

=head2 new

 my $element = Geo::EZLocate::Elements::getClientInfo->new($data);

Constructor. The following data structure may be passed to new():

 {
   majorVersion =>  $some_value, # int
   minorVersion =>  $some_value, # int
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

