
package Geo::EZLocate::Elements::testCredential;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://ezlocate.na.teleatlas.com/Authentication.xsd1' }

__PACKAGE__->__set_name('testCredential');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ipAddress_of :ATTR(:get<ipAddress>);
my %credential_of :ATTR(:get<credential>);
my %serverCred_of :ATTR(:get<serverCred>);

__PACKAGE__->_factory(
    [ qw(        ipAddress
        credential
        serverCred

    ) ],
    {
        'ipAddress' => \%ipAddress_of,
        'credential' => \%credential_of,
        'serverCred' => \%serverCred_of,
    },
    {
        'ipAddress' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'credential' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'serverCred' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
    },
    {

        'ipAddress' => 'ipAddress',
        'credential' => 'credential',
        'serverCred' => 'serverCred',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

Geo::EZLocate::Elements::testCredential

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
testCredential from the namespace http://ezlocate.na.teleatlas.com/Authentication.xsd1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ipAddress

 $element->set_ipAddress($data);
 $element->get_ipAddress();




=item * credential

 $element->set_credential($data);
 $element->get_credential();




=item * serverCred

 $element->set_serverCred($data);
 $element->get_serverCred();





=back


=head1 METHODS

=head2 new

 my $element = Geo::EZLocate::Elements::testCredential->new($data);

Constructor. The following data structure may be passed to new():

 {
   ipAddress =>  $some_value, # string
   credential =>  $some_value, # int
   serverCred =>  $some_value, # int
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

