package Geo::EZLocate::Types::MatchType;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(0);

sub get_xmlns { 'http://ezlocate.na.teleatlas.com/Geocoding.xsd1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %name_of :ATTR(:get<name>);
my %description_of :ATTR(:get<description>);
my %id_of :ATTR(:get<id>);

__PACKAGE__->_factory(
    [ qw(        name
        description
        id

    ) ],
    {
        'name' => \%name_of,
        'description' => \%description_of,
        'id' => \%id_of,
    },
    {
        'name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'id' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
    },
    {

        'name' => 'name',
        'description' => 'description',
        'id' => 'id',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

Geo::EZLocate::Types::MatchType

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
MatchType from the namespace http://ezlocate.na.teleatlas.com/Geocoding.xsd1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * name


=item * description


=item * id




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # Geo::EZLocate::Types::MatchType
   name =>  $some_value, # string
   description =>  $some_value, # string
   id =>  $some_value, # int
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

